Skip to content
Start here

Get PayGo Account Billable Usage Info (Version 1, Alpha)

billing.usage.paygo_info(UsagePaygoInfoParams**kwargs) -> UsagePaygoInfoResponse
GET/accounts/{account_id}/paygo-usage-info

Returns high-level usage information for the account, including coverage, and subscription metadata.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing Read
ParametersExpand Collapse
account_id: str

Represents a Cloudflare resource identifier tag.

maxLength32
ReturnsExpand Collapse
class UsagePaygoInfoResponse:

Contains the paygo usage info.

covered: bool

Indicates whether the account is covered.

subscriptions: List[Subscription]

List of subscriptions for the account.

id: str

The identifier for the Cloudflare subscription.

billing_cycle_anchor_timestamp: datetime

The subscription billing cycle anchor timestamp.

formatdate-time
start_timestamp: datetime

The subscription start timestamp.

formatdate-time
end_timestamp: Optional[datetime]

The subscription end timestamp. Omitted for active subscriptions; present only when the subscription has been cancelled.

formatdate-time

Get PayGo Account Billable Usage Info (Version 1, Alpha)

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.billing.usage.paygo_info(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(response.covered)
{
  "errors": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "result": {
    "covered": true,
    "subscriptions": [
      {
        "id": "3F3CD4CQ6N7FXO7IK6NVFJBOYA",
        "billing_cycle_anchor_timestamp": "2023-01-01T00:00:00Z",
        "start_timestamp": "2023-01-01T00:00:00Z",
        "end_timestamp": "2023-12-31T23:59:59Z"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "result": {
    "covered": true,
    "subscriptions": [
      {
        "id": "3F3CD4CQ6N7FXO7IK6NVFJBOYA",
        "billing_cycle_anchor_timestamp": "2023-01-01T00:00:00Z",
        "start_timestamp": "2023-01-01T00:00:00Z",
        "end_timestamp": "2023-12-31T23:59:59Z"
      }
    ]
  },
  "success": true
}